- Qt 6.8
- Qt Quick 3D
- QML Types
- QtQuick3D.Particles3D
- TrailEmitter3D
- Qt Quick 3D | Commercial or GPLv3

# TrailEmitter3D QML Type

Emitter for logical particles from other particles. More...

Import Statement: | `import QtQuick3D.Particles3D`
Since: | Qt 6.2
Inherits: | ParticleEmitter3D

- List of all members, including inherited members

## Properties

- follow : Particle3D

## Methods

- vector3d burst(int count)

## Detailed Description

TrailEmitter3D is a special emitter for emitting particles with starting positions inherited from other logical particles.

## Property Documentation

follow : Particle3D

This property defines the logical particle which this emitter follows. When the TrailEmitter3D emits particles, center position of those particles will become from the Particle3D the emitter follows.

## Method Documentation

vector3d burst(int count)

This method emits count amount of particles from this emitter immediately.

Note: TrailEmitter3D doesn't support other bursting methods. Position always comes from the particle defined with the follow property.